An app can interact with the Shirtplatform API on behalf of a single account. Before it can interact with the Shirtplatform API, your app must provide the necessary authentication credentials.

Private resources are secured with the HTTP Basic Auth mechanism.

POST /auth

Register customerKey and get authenticated session details.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
Authorization header     The authentication header containing login and password in the form of HTTP Basic Auth.
x-customer-key header    
Response Body
Media Type Data Type Description
application/json AuthSessionDetails
application/xml AuthSessionDetails
Response Headers
NameDescription
x-auth-token The authentication token for accessing private resources.
Response (XML)
<authSessionDetails>
  <userId>...</userId>
  <accountId>...</accountId>
  <sessionId>...</sessionId>
  <customerPermanentStorageId>...</customerPermanentStorageId>
</authSessionDetails>
Response (JSON)
{
  "authSessionDetails" : {
    "userId" : 12345,
    "accountId" : 12345,
    "sessionId" : "...",
    "customerPermanentStorageId" : "..."
  }
}
GET /auth

Get authenticated session details.

Available Since
1.3.0
Parameters
Name In Default Constraints Description
Authorization header     The authentication header containing login and password in the form of HTTP Basic Auth.
Response Body
Media Type Data Type Description
application/json AuthSessionDetails
application/xml AuthSessionDetails
Response Headers
NameDescription
x-auth-token The authentication token for accessing private resources.
Response (XML)
<authSessionDetails>
  <userId>...</userId>
  <accountId>...</accountId>
  <sessionId>...</sessionId>
  <customerPermanentStorageId>...</customerPermanentStorageId>
</authSessionDetails>
Response (JSON)
{
  "authSessionDetails" : {
    "userId" : 12345,
    "accountId" : 12345,
    "sessionId" : "...",
    "customerPermanentStorageId" : "..."
  }
}